<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>

    <link href="../css/bootstrap-combined.no-icons.min.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/prism.css" rel="stylesheet" media="all"/>
    <link href="../css/template.css" rel="stylesheet" media="all"/>
    
    <!--[if lt IE 9]>
    <script src="../js/html5.js"></script>
    <![endif]-->
    <script src="../js/jquery-1.11.0.min.js"></script>
    <script src="../js/ui/1.10.4/jquery-ui.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/jquery.smooth-scroll.js"></script>
    <script src="../js/prism.min.js"></script>
    <!-- TODO: Add http://jscrollpane.kelvinluck.com/ to style the scrollbars for browsers not using webkit-->
    <script type="text/javascript">
    function loadExternalCodeSnippets() {
        Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach(function (pre) {
            var src = pre.getAttribute('data-src');
            var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
            var language = 'php';

            var code = document.createElement('code');
            code.className = 'language-' + language;

            pre.textContent = '';

            code.textContent = 'Loading…';

            pre.appendChild(code);

            var xhr = new XMLHttpRequest();

            xhr.open('GET', src, true);

            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4) {

                    if (xhr.status < 400 && xhr.responseText) {
                        code.textContent = xhr.responseText;

                        Prism.highlightElement(code);
                    }
                    else if (xhr.status >= 400) {
                        code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                    }
                    else {
                        code.textContent = '✖ Error: File does not exist or is empty';
                    }
                }
            };

            xhr.send(null);
        });
    }

    $(document).ready(function(){
        loadExternalCodeSnippets();
    });
    $('#source-view').on('shown', function () {
        loadExternalCodeSnippets();
    })
</script>

    <link rel="shortcut icon" href="../images/favicon.ico"/>
    <link rel="apple-touch-icon" href="../images/apple-touch-icon.png"/>
    <link rel="apple-touch-icon" sizes="72x72" href="../images/apple-touch-icon-72x72.png"/>
    <link rel="apple-touch-icon" sizes="114x114" href="../images/apple-touch-icon-114x114.png"/>
</head>
<body>

<div class="navbar navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <i class="icon-ellipsis-vertical"></i>
            </a>
            <a class="brand" href="../index.html">API Documentation</a>

            <div class="nav-collapse">
                <ul class="nav pull-right">
                                        <li class="dropdown">
                        <a href="../index.html" class="dropdown-toggle" data-toggle="dropdown">
                            API Documentation <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                                                        <li><a href="../namespaces/warden.html">\warden</a></li>
                                                    </ul>
                    </li>
                                        <li class="dropdown" id="charts-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Charts <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../graphs/class.html">
                                    <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li class="dropdown" id="reports-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            Reports <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a href="../reports/errors.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <i class="icon-list-alt"></i>&#160;Errors <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/markers.html">
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            <i class="icon-list-alt"></i>&#160;Markers <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                            <li>
                                <a href="../reports/deprecated.html">
                                                                                                            <i class="icon-list-alt"></i>&#160;Deprecated <span class="label label-info pull-right">0</span>
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <!--<div class="go_to_top">-->
    <!--<a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>-->
    <!--</div>-->
</div>

<div id="___" class="container-fluid">
        <section class="row-fluid">
        <div class="span2 sidebar">
                                <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle " data-toggle="collapse" data-target="#namespace-170271272"></a>
                                <a href="../namespaces/default.html" style="margin-left: 30px; padding-left: 0">\</a>
            </div>
            <div id="namespace-170271272" class="accordion-body collapse in">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-1304273544"></a>
                                <a href="../namespaces/warden.html" style="margin-left: 30px; padding-left: 0">warden</a>
            </div>
            <div id="namespace-1304273544" class="accordion-body collapse ">
                <div class="accordion-inner">

                                                    <div class="accordion" style="margin-bottom: 0">
        <div class="accordion-group">
            <div class="accordion-heading">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-target="#namespace-1183979476"></a>
                                <a href="../namespaces/warden.src.html" style="margin-left: 30px; padding-left: 0">src</a>
            </div>
            <div id="namespace-1183979476" class="accordion-body collapse ">
                <div class="accordion-inner">

                    
                    <ul>
                                                    <li class="interface"><a href="../classes/warden.src.DAO.html">DAO</a></li>
                                                                                                    <li class="class"><a href="../classes/warden.src.DAOFactory.html">DAOFactory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.IdeaCategory.html">IdeaCategory</a></li>
                                                    <li class="class"><a href="../classes/warden.src.MysqlDAO.html">MysqlDAO</a></li>
                                                    <li class="class"><a href="../classes/warden.src.Warden.html">Warden</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenFileSystem.html">WardenFileSystem</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenManager.html">WardenManager</a></li>
                                                    <li class="class"><a href="../classes/warden.src.WardenPool.html">WardenPool</a></li>
                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

                    
                    <ul>
                                                                                            </ul>
                </div>
            </div>
        </div>
    </div>

        </div>
    </section>
    <section class="row-fluid">
        <div class="span10 offset2">
            <div class="row-fluid">
                <div class="span8 content class">
                    <nav>
                                                <a href="../namespaces/warden.src.html">\warden\src</a> <i class="icon-level-up"></i>
                                            </nav>
                    <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal"><i class="icon-code"></i></a>

                    <h1><small>\warden\src</small>DAOFactory</h1>
                    <p><em>Factory class responsible for instantiating the specific DAO&#039;s for
each data source, eg: Mysql, SQL Server, etc</em></p>
                    
                    
                                        
                    <section id="summary">
                        <h2>Summary</h2>
                        <section class="row-fluid heading">
                            <section class="span4">
                                <a href="#methods">Methods</a>
                            </section>
                            <section class="span4">
                                <a href="#properties">Properties</a>
                            </section>
                            <section class="span4">
                                <a href="#constants">Constants</a>
                            </section>
                        </section>
                        <section class="row-fluid public">
                            <section class="span4">
                                                                    <a href="../classes/warden.src.DAOFactory.html#method_getDAO" class="">getDAO()</a><br />
                                                            </section>
                            <section class="span4">
                                                                    <em>No public properties found</em>
                                                            </section>
                            <section class="span4">
                                                                    <a href="../classes/warden.src.DAOFactory.html#constant_MYSQL_AVCUSTOMSIGNATURES" class="">MYSQL_AVCUSTOMSIGNATURES</a><br />
                                                                    <a href="../classes/warden.src.DAOFactory.html#constant_MYSQL_AVURLSIGNATURES" class="">MYSQL_AVURLSIGNATURES</a><br />
                                                                    <a href="../classes/warden.src.DAOFactory.html#constant_MYSQL_EMAILHASHES" class="">MYSQL_EMAILHASHES</a><br />
                                                                    <a href="../classes/warden.src.DAOFactory.html#constant_MYSQL_HASHES" class="">MYSQL_HASHES</a><br />
                                                                    <a href="../classes/warden.src.DAOFactory.html#constant_MYSQL_SPAMHASHES" class="">MYSQL_SPAMHASHES</a><br />
                                                                    <a href="../classes/warden.src.DAOFactory.html#constant_ALL" class="">ALL</a><br />
                                                            </section>
                        </section>
                        <section class="row-fluid protected">
                            <section class="span4">
                                                                    <em>No protected methods found</em>
                                                            </section>
                            <section class="span4">
                                                                    <em>No protected properties found</em>
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                        <section class="row-fluid private">
                            <section class="span4">
                                                                    <a href="../classes/warden.src.DAOFactory.html#method__getAllDAOs" class="">_getAllDAOs()</a><br />
                                                            </section>
                            <section class="span4">
                                                                    <em>No private properties found</em>
                                                            </section>
                            <section class="span4">
                                <em>N/A</em>
                            </section>
                        </section>
                    </section>
                </div>
                <aside class="span4 detailsbar">
                                            <span class="label label-info">abstract</span>
                                        
                    
                    <dl>
                        <dt>File</dt>
                            <dd><a href="../files/DAOFactory.html"><div class="path-wrapper">DAOFactory.php</div></a></dd>
                                                <dt>Package</dt>
                            <dd><div class="namespace-wrapper">DAO</div></dd>
                                                <dt>Class hierarchy</dt>
                            <dd class="hierarchy">
                                                                                                                                                                    <div class="namespace-wrapper">\warden\src\DAOFactory</div>
                            </dd>

                        
                        
                        
                                                                            <dt>See also</dt>
                                                                                        <dd><a href="http://https://gitlab.com/protective-h2020-eu/WardenParser"><span class="namespace-wrapper">Protective Project</span></a></dd>
                                                    
                                                                        </dl>
                    <h2>Tags</h2>
                    <table class="table table-condensed">
                                            <tr>
                            <th>
                                category
                            </th>
                            <td>
                                                                    <p>DAO</p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                author
                            </th>
                            <td>
                                                                    <p>Jorgeley, <a href="mailto:jinacio@theemaillaundry.com">jinacio@theemaillaundry.com</a></p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                license
                            </th>
                            <td>
                                                                    <p><a href="http://https://gitlab.com/protective-h2020-eu/WardenParser">http://https://gitlab.com/protective-h2020-eu/WardenParser</a> Protective Project</p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                access
                            </th>
                            <td>
                                                                    <p>public</p>
                                                            </td>
                        </tr>
                                            <tr>
                            <th>
                                uses
                            </th>
                            <td>
                                                                    <p>Common exceptions</p>
                                                                    <p>The Mysql Data Access Object</p>
                                                            </td>
                        </tr>
                                        </table>
                </aside>
            </div>

                                    <a id="constants" name="constants"></a>
            <div class="row-fluid">
                <div class="span8 content class">
                    <h2>Constants</h2>
                </div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MYSQL_AVCUSTOMSIGNATURES" name="constant_MYSQL_AVCUSTOMSIGNATURES" class="anchor"></a>
            <article id="constant_MYSQL_AVCUSTOMSIGNATURES" class="constant">
                <h3 class="">MYSQL_AVCUSTOMSIGNATURES</h3>
                <pre class="signature">MYSQL_AVCUSTOMSIGNATURES</pre>
                <p><em>Constant for instantiating a Mysql database &#039;av_signatures&#039;, table
&#039;custom_signatures&#039; MysqlDAO object</em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            access
                        </th>
                        <td>
                                                            <p>public</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MYSQL_AVURLSIGNATURES" name="constant_MYSQL_AVURLSIGNATURES" class="anchor"></a>
            <article id="constant_MYSQL_AVURLSIGNATURES" class="constant">
                <h3 class="">MYSQL_AVURLSIGNATURES</h3>
                <pre class="signature">MYSQL_AVURLSIGNATURES</pre>
                <p><em>Constant for instantiating a Mysql database &#039;av_signatures&#039;, table
&#039;url_signatures&#039; MysqlDAO object</em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            access
                        </th>
                        <td>
                                                            <p>public</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MYSQL_EMAILHASHES" name="constant_MYSQL_EMAILHASHES" class="anchor"></a>
            <article id="constant_MYSQL_EMAILHASHES" class="constant">
                <h3 class="">MYSQL_EMAILHASHES</h3>
                <pre class="signature">MYSQL_EMAILHASHES</pre>
                <p><em>Constant for instantiating a Mysql database &#039;hashdb&#039;, table
&#039;emailhashes&#039; MysqlDAO object</em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            access
                        </th>
                        <td>
                                                            <p>public</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MYSQL_HASHES" name="constant_MYSQL_HASHES" class="anchor"></a>
            <article id="constant_MYSQL_HASHES" class="constant">
                <h3 class="">MYSQL_HASHES</h3>
                <pre class="signature">MYSQL_HASHES</pre>
                <p><em>Constant for instantiating a Mysql database &#039;hashdb&#039;, table
&#039;hashes&#039; MysqlDAO object</em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            access
                        </th>
                        <td>
                                                            <p>public</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_MYSQL_SPAMHASHES" name="constant_MYSQL_SPAMHASHES" class="anchor"></a>
            <article id="constant_MYSQL_SPAMHASHES" class="constant">
                <h3 class="">MYSQL_SPAMHASHES</h3>
                <pre class="signature">MYSQL_SPAMHASHES</pre>
                <p><em>Constant for instantiating a Mysql database &#039;spamdb&#039;, table
&#039;hashes&#039; MysqlDAO object</em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            access
                        </th>
                        <td>
                                                            <p>public</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="constant_ALL" name="constant_ALL" class="anchor"></a>
            <article id="constant_ALL" class="constant">
                <h3 class="">ALL</h3>
                <pre class="signature">ALL</pre>
                <p><em>Constant for getting all databases specified in databases.ini file</em></p>
                
            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                        <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            access
                        </th>
                        <td>
                                                            <p>public</p>
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                            
                        
                                    <a id="methods" name="methods"></a>
            <div class="row-fluid">
                <div class="span8 content class"><h2>Methods</h2></div>
                <aside class="span4 detailsbar"></aside>
            </div>

                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method_getDAO" name="method_getDAO" class="anchor"></a>
            <article class="method">
                <h3 class="public ">getDAO()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">getDAO(integer  <span class="argument">$dao</span>) : \warden\src\MysqlDAO</pre>
                <p><em>Returns a DAO&#039;s instance according to the $dao param</em></p>
                

                                    <h4>Parameters</h4>
                    <table class="table table-condensed table-hover">
                                                    <tr>
                                <td>integer</td>
                                <td>$dao </td>
                                <td><p>The DAOFactory constant</p></td>
                            </tr>
                                            </table>
                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                                    <h4>Returns</h4>
                    <a href="../classes/warden.src.MysqlDAO.html">\warden\src\MysqlDAO</a>
                                            &mdash; <p>The MysqlDao object for the specific $dao constant</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                            <span class="label label-info">static</span>
                                                            <dl>
                                                                            </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr>
                        <th>
                            static
                        </th>
                        <td>
                                                                                            
                                                    </td>
                    </tr>
                            </table>
        </aside>
    </div>

                                                                    <div class="row-fluid">
        <div class="span8 content class">
            <a id="method__getAllDAOs" name="method__getAllDAOs" class="anchor"></a>
            <article class="method">
                <h3 class="private ">_getAllDAOs()</h3>
                <a href="#source-view" role="button" class="pull-right btn" data-toggle="modal" style="font-size: 1.1em; padding: 9px 14px"><i class="icon-code"></i></a>
                <pre class="signature" style="margin-right: 54px;">_getAllDAOs() : \warden\src\MysqlDAO</pre>
                <p><em>Get all Databases tables defined in databases.ini file</em></p>
                

                
                                    <h4>Throws</h4>
                    <dl>
                                                    <dt>\Exception</dt>
                            <dd></dd>
                                                                    </dl>
                
                                    <h4>Returns</h4>
                    <a href="../classes/warden.src.MysqlDAO.html">\warden\src\MysqlDAO</a>
                                            &mdash; <p>array of MysqlDAO objects</p>
                                    				
                            </article>
        </div>
        <aside class="span4 detailsbar">
            <h1><i class="icon-arrow-down"></i></h1>
                            <span class="label label-info">static</span>
                                                            <dl>
                                                                                            <dt>See also</dt>
                                                                <dd><a href=""><span class="namespace-wrapper">\warden\src\databases.ini</span></a></dd>
                                                                </dl>
            <h2>Tags</h2>
            <table class="table table-condensed">
                                    <tr><td colspan="2"><em>None found</em></td></tr>
                            </table>
        </aside>
    </div>

                                    </div>
    </section>

    <div id="source-view" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="source-view-label" aria-hidden="true">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            <h3 id="source-view-label">DAOFactory.php</h3>
        </div>
        <div class="modal-body">
            <pre data-src="../files/DAOFactory.php.txt" class="language-php line-numbers"></pre>
        </div>
    </div>

    <footer class="row-fluid">
        <section class="span10 offset2">
            <section class="row-fluid">
                <section class="span10 offset1">
                    <section class="row-fluid footer-sections">
                        <section class="span4">
                                                        <h1><i class="icon-code"></i></h1>
                            <div>
                                <ul>
                                                                            <li><a href="../namespaces/warden.html">\warden</a></li>
                                                                    </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-bar-chart"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../graphs/class.html">Class Hierarchy Diagram</a></li>
                                </ul>
                            </div>
                        </section>
                        <section class="span4">
                                                        <h1><i class="icon-pushpin"></i></h1>
                            <div>
                                <ul>
                                    <li><a href="../reports/errors.html">Errors</a></li>
                                    <li><a href="../reports/markers.html">Markers</a></li>
                                </ul>
                            </div>
                        </section>
                    </section>
                </section>
            </section>
            <section class="row-fluid">
                <section class="span10 offset1">
                    <hr />
                    Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor </a> and authored
                    on May 24th, 2018 at 13:41.
                </section>
            </section>
        </section>
    </footer>
</div>

</body>
</html>
